Bug 252308 - science/v_sim: upgrade to 3.8.0
Summary: science/v_sim: upgrade to 3.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thierry Thomas
URL: https://gitlab.com/l_sim/v_sim/-/blob...
Keywords:
Depends on: 252221 252309
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-31 16:23 UTC by Thierry Thomas
Modified: 2021-01-13 16:39 UTC (History)
1 user (show)

See Also:


Attachments
Patch to upgrade v_sim to 3.8.0. (29.32 KB, patch)
2020-12-31 16:23 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2020-12-31 16:23:05 UTC
Created attachment 221135 [details]
Patch to upgrade v_sim to 3.8.0.

The attached patch upgrades v_sim to the latest 3.8.0.

Changelog is available at <https://gitlab.com/l_sim/v_sim/-/blob/staging/ChangeLog.en>.

Note 1: it now depends on OpenBabel 3, this is why I do not commit it right now.

Note 2: it also depends on science/abinit, which is broken ATM. See PR 252221 to fix it (with PR 252162 for science/wannier90).
Comment 1 Fernando Apesteguía freebsd_committer 2021-01-03 17:29:51 UTC
^Triage: Reporter is committer, assign accordingly.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

Q/A:  /tmp/252308/science/v_sim/pkg-descr: includes iso-8859-1, or other local characters.  files should be in plain 7-bit ASCII
Comment 2 Thierry Thomas freebsd_committer 2021-01-13 16:39:29 UTC
Committed in r561487.